apiVersion: v1
kind: Service
metadata:
  name: {{ template "cordite.fullname" . }}
  labels:
    app.kubernetes.io/name: {{ include "cordite.name" . }}
    helm.sh/chart: {{ include "cordite.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
{{- if .Values.annotations }}
  annotations:
{{ toYaml .Values.annotations | indent 4 }}
{{- end }}
spec:
  selector:
    app.kubernetes.io/name: {{ include "cordite.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
  type: {{ .Values.service.type }}
  {{- if and (eq .Values.service.type "ClusterIP") .Values.service.clusterIP }}
  clusterIP: {{ .Valuesservice.clusterIP }}
  {{- end }}
  {{- if and (eq .Values.service.type "LoadBalancer") .Values.service.loadBalancerIP }}
  loadBalancerIP: {{ .Values.service.loadBalancerIP }}
  {{- end }}
  ports:
    {{- if .Values.service.braidPort }}
    - name: braid
      protocol: TCP
      port: {{ .Values.service.braidPort}}
      targetPort: braid
    {{- end }}
    - name: p2p
      protocol: TCP
      port: {{ .Values.service.p2pPort }}
      targetPort: p2p
